Articles of fácil de instalar

Instalando psycopg2 (postgresql) en virtualenv en windows

Instalé psycopg2 en virtualenv usando easy_install psycopg2 . No vi ningún error y parece que la instalación salió bien … hay un archivo de huevo creado en el directorio de paquetes de sitio para psycopg2 … pero cuando ejecuto Importar psycopg2 en el intérprete, me aparece el siguiente error. ¿Alguna pista? ¿Cómo puedo arreglarlo … […]

Instalar paramiko en Windows

DE ACUERDO. Leí la instalación de paramiko en Windows . Todos los métodos mencionados simplemente no funcionan. Los autores tienen diferentes entornos con diferentes componentes / bibliotecas instaladas. O puede ser que no prueben sus soluciones antes de publicar una respuesta 🙂 Eliminé todas las versiones y libs de python de mi máquina (Windows 8 […]

Instalar la instalación fácil de Python usando ez_setup.py desde detrás de un servidor proxy

¿Hay alguna manera de instalar la instalación fácil de Python usando ez_setup.py cuando se encuentra en una red corporativa que usa un servidor proxy? Actualmente, recibo un tiempo de espera de conexión: Downloading http://pypi.python.org/packages/2.7/s/setuptools/setuptools-0.6c11-py2.7.egg Traceback (most recent call last): File “C:\jsears\python\ez_setup.py”, line 278, in main(sys.argv[1:]) File “C:\jsears\python\ez_setup.py”, line 210, in main egg = download_setuptools(version, delay=0) […]

¿Por qué recibo el error: el comando ‘llvm-gcc-4.2’ falló con el estado de salida 1

Estoy configurando os X 10.7. Estoy usando la instalación predeterminada de Python: /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/ Uso un gestor de paquetes basado en Python llamado easy_install. Easy_install parece no poder encontrar el comstackdor. EDITAR: cuando intenté instalar MySQL-python obtuve este error: $ sudo easy_install MySQL-python Password: Searching for MySQL-python Reading http://pypi.python.org/simple/MySQL-python/ Reading http://sourceforge.net/projects/mysql-python/ Reading http://sourceforge.net/projects/mysql-python Best match: MySQL-python […]

Falta la instalación de PIL: stdarg.h

Posible duplicado: Instalar Python Imaging Library (PIL) en Snow Leopard con Python 2.6.2 actualizado Ejecutando MAC 10.7.2 Al intentar instalar PIL, después de resolver muchos problemas de gcc, la instalación termina con esta línea: /Developer/SDKs/MacOSX10.6.sdk/usr/include/stdarg.h:4:25: error: stdarg.h: No existe tal archivo o directorio Estoy usando esta línea para instalar: env ARCHFLAGS=”-arch i386 -arch x86_64″ easy_install […]

¿Cómo reinstalar lxml?

Estoy usando python 2,7.5 en mac 10.7.5, beautifulsoup 4.2.1. Voy a analizar una página xml utilizando la biblioteca lxml, tal como se enseña en el tutorial de beautifulsoup. Sin embargo, cuando ejecuto mi código, se muestra bs4.FeatureNotFound: Couldn’t find a tree builder with the features you requested: lxml,xml. Do you need to install a parser […]

¿PIP instala un paquete de Python sin un archivo setup.py?

Estoy tratando de averiguar cómo puedo instalar un paquete de Python que no tiene un archivo setup.py con pip . (el paquete en cuestión es http://code.google.com/p/django-google-analytics/ ) Normalmente, simplemente compraría el código del repository y el enlace simbólico en los paquetes de mi sitio, pero estoy tratando de congelar todo mi entorno en un archivo […]

No se puede instalar pip: error de permiso denegado

Estoy tratando de instalar pip pero actualmente no puedo. Navego a la carpeta pip y python setup.py install Todo parece ir bien hasta el final: Extracting pip-0.8.2-py2.6.egg to /Library/Python/2.6/site-packages Adding pip 0.8.2 to easy-install.pth file Installing pip script to /usr/local/bin error: /usr/local/bin/pip: Permission denied También he intentado easy_install . e intentó referirse al hilo relacionado […]

pip ignora dependency_links en setup.py

Tengo dependency_links en mi setup.py: … dependency_links = [‘http://github.com/robot-republic/python-s3/tarball/master.tar.gz#egg=python-s3’], … Pero no funciona. Sin embargo, install_requires funciona bien. Tal vez hay otro método para configurar git repo como se requiere para setup.py?

La instalación de Scrapy falla con el error ‘no se puede abrir incluye:’ openssl / aes.h ‘

Estoy intentando instalar Scrapy con easy_install -U Scrapy pero termina con un error extraño “No se puede abrir el archivo de inclusión” al intentar instalarlo. ¿Alguien sabe qué está pasando? Aquí está mi rastro completo: C:\Users\Mubashar Kamran>easy_install -U Scrapy Searching for Scrapy Reading https://pypi.python.org/simple/Scrapy/ Best match: scrapy 0.24.4 Processing scrapy-0.24.4-py2.7.egg scrapy 0.24.4 is already the […]